List all file versions
Retrieve a list of the past versions for a file.
Versions are only tracked by Box users with premium accounts. To fetch the ID of the current version of a file, use the GET /file/:id API.
Authorizations
Path Parameters
Query Parameters
A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response.
Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.
Response
Returns an array of past versions for this file.
A list of file versions.
One greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than total_count.
This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
5000
